{
  "name": "splendid-bear/mineseeker",
  "version": "2026.2.1",
  "license": "GPL-3.0-or-later",
  "author": "https://www.splendidbear.org",
  "bugs": "https://source.splendidbear.org",
  "description": "This is a minesweeper game that is inspired from MSN Messenger's game.",
  "minimum-stability": "dev",
  "type": "project",
  "prefer-stable": true,
  "private": true,
  "require": {
    "php": ">=8.5",
    "ext-gd": "*",
    "ext-iconv": "*",
    "ext-json": "*",
    "doctrine/dbal": "^4.3",
    "doctrine/doctrine-bundle": "^3.2",
    "doctrine/doctrine-migrations-bundle": "^4.0",
    "doctrine/orm": "^3.5",
    "endroid/qr-code": "^6.1",
    "firebase/php-jwt": "^7.0",
    "league/flysystem-aws-s3-v3": "^3.0",
    "league/flysystem-bundle": "^3.6",
    "liip/imagine-bundle": "^2.13",
    "pentatrion/vite-bundle": "^8.2",
    "scheb/2fa-backup-code": "^8.5",
    "scheb/2fa-bundle": "^8.5",
    "scheb/2fa-totp": "^8.5",
    "symfony/console": "7.4.*",
    "symfony/flex": "^2.10.0",
    "symfony/form": "7.4.*",
    "symfony/framework-bundle": "7.4.*",
    "symfony/http-client": "7.4.*",
    "symfony/mailer": "7.4.*",
    "symfony/mercure": "^0.6",
    "symfony/mercure-bundle": "*",
    "symfony/monolog-bundle": "^3.8",
    "symfony/security-bundle": "7.4.*",
    "symfony/translation": "7.4.*",
    "symfony/twig-bundle": "7.4.*",
    "symfony/validator": "7.4.*",
    "symfony/yaml": "7.4.*",
    "web-auth/webauthn-framework": "^5.2"
  },
  "require-dev": {
    "roave/security-advisories": "dev-master",
    "symfony/dotenv": "7.4.*",
    "symfony/maker-bundle": "^1.5",
    "symfony/stopwatch": "7.4.*",
    "symfony/web-profiler-bundle": "7.4.*"
  },
  "config": {
    "preferred-install": {
      "*": "dist"
    },
    "sort-packages": true,
    "allow-plugins": {
      "symfony/flex": true
    }
  },
  "autoload": {
    "psr-4": {
      "App\\": "src/"
    }
  },
  "autoload-dev": {
    "psr-4": {
      "App\\Tests\\": "tests/"
    }
  },
  "replace": {
    "symfony/polyfill-iconv": "*",
    "symfony/polyfill-ctype": "*",
    "symfony/polyfill-php73": "*",
    "symfony/polyfill-php72": "*",
    "symfony/polyfill-php71": "*",
    "symfony/polyfill-php70": "*",
    "symfony/polyfill-php56": "*"
  },
  "scripts": {
    "auto-scripts": {
      "cache:clear": "symfony-cmd",
      "assets:install --symlink --relative %PUBLIC_DIR%": "symfony-cmd"
    },
    "post-install-cmd": [
      "@auto-scripts"
    ],
    "post-update-cmd": [
      "@auto-scripts"
    ]
  },
  "conflict": {
    "symfony/symfony": "*",
    "doctrine/persistence": "<1.3"
  },
  "extra": {
    "symfony": {
      "allow-contrib": false,
      "require": "7.4.*"
    }
  }
}
